## Patch originally from Fedora - Revision 1.1 of:
http://cvs.fedoraproject.org/viewvc/rpms/vnc/devel/vnc-nohttpd.patch
## Modified to make httpd service off by default and only offered via -httpd

--- a/unix/vncserver	2017-03-11 02:25:51.655811658 +0000
+++ b/unix/vncserver	2017-03-11 02:27:56.454202127 +0000
@@ -133,7 +133,7 @@
 # Check command line options
 
 &ParseOptions("-geometry",1,"-depth",1,"-pixelformat",1,"-name",1,"-kill",1,
-	      "-help",0,"-h",0,"--help",0,"-fp",1,"-list",0,"-fg",0,"-autokill",0,"-noxstartup",0,"-xstartup",1);
+	      "-help",0,"-h",0,"--help",0,"-fp",1,"-list",0,"-fg",0,"-autokill",0,"-noxstartup",0,"-xstartup",1,"-httpd",0);
 
 &Usage() if ($opt{'-help'} || $opt{'-h'} || $opt{'--help'});
 
@@ -165,6 +165,12 @@
     $fontPath = $opt{'-fp'};
     $fpArgSpecified = 1;
 }
+if ($opt{'-httpd'}) {
+    $nohttpd = 0;
+}
+else {
+    $nohttpd = 1;
+}
 
 &CheckGeometryAndDepth();
 
@@ -261,7 +267,7 @@
 my %config;
 
 $default_opts{desktop} = &quotedString($desktopName);
-$default_opts{httpd} = $vncJavaFiles if ($vncJavaFiles);
+$default_opts{httpd} = $vncJavaFiles if ($vncJavaFiles && !$nohttpd);
 $default_opts{auth} = $xauthorityFile;
 $default_opts{geometry} = $geometry if ($geometry);
 $default_opts{depth} = $depth if ($depth);
@@ -626,6 +632,7 @@
 	"                 [-autokill]\n".
 	"                 [-noxstartup]\n".
 	"                 [-xstartup <file>]\n".
+	"                 [-httpd]\n".
 	"                 <Xvnc-options>...\n\n".
 	"       $prog -kill <X-display>\n\n".
 	"       $prog -list\n\n");
--- a/unix/vncserver.man	2017-03-11 02:28:15.913476314 +0000
+++ b/unix/vncserver.man	2017-03-11 02:29:47.782021044 +0000
@@ -18,6 +18,7 @@
 .RB [ \-fg ]
 .RB [ \-autokill ]
 .RB [ \-noxstartup ]
+.RB [ \-httpd ]
 .RB [ \-xstartup 
 .IR script ]
 .RI [ Xvnc-options... ]
@@ -88,6 +89,10 @@
 must have an 8-bit depth.
 .
 .TP
+.B \-httpd
+Instruct Xvnc to run a mini-httpd if the VNC Java applet is found.
+.
+.TP
 .B \-kill :\fIdisplay#\fP
 This kills a VNC desktop previously started with vncserver.  It does this by
 killing the Xvnc process, whose process ID is stored in the file
